EMISSIVEMATERIALSOURCE(3CgFX)

NAME
EmissiveMaterialSource - 3D API emissive material source

USAGE
EmissiveMaterialSource = int(enable)

VALID ENUMERANTS
enable: true, false

DESCRIPTION
Enable/disable front and back emmisive color material. See the GL_EMISSION description on the OpenGL glColorMaterial manual page for details. See the D3DRS_EMISSIVEMATERIALSOURCE render state description for DirectX 9.

The standard reset callback sets the EmissiveMaterialSource state to int(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource